<meta name="viewport" content="width=device-width, initial-scale=1">

<div mat-dialog-content class="movie-dialog-container">
  <div class="movie-poster">
    <img [src]="data.posterUrl" alt="Movie poster">
  </div>
  <div class="movie-details">
    <h2>{{data.title}}</h2>
    <h4>{{data.release}}</h4>
    <p>{{data.description}}</p>
    <p><b>Genre{{data.genres.length > 1 ? 's' : ''}}:</b>
      <span *ngFor="let genre of data.genres; let isLast=last">
        {{genre.name}}{{isLast ? '' : ', '}}
      </span>  
    </p>
    <p><b>Director:</b> {{data.director}}</p>
    <p><b>Cast:</b></p>
    <ul>
      <li *ngFor="let castMember of data.cast | slice:0:(expanded ? data.cast.length : 5)">
        <div class="cast-member">
          <div class="actor-name" title="{{castMember.actorName}}">{{castMember.actorName}}</div>
          <div class="character" title="{{castMember.character}}"><em>{{castMember.character}}</em></div>
        </div>
      </li>
    </ul>
    <span class="clickable-expand" (click)="expanded = !expanded" *ngIf="data.cast.length > 5">
      {{expanded ? 'Collapse' : 'Expand'}} <i class="fa" [ngClass]="expanded ? 'fa-chevron-up' : 'fa-chevron-down'"></i>
    </span>
  </div>
</div>